|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Types | Public Member Functions
gameplay::AnimationClip::Listener Class Reference

`#include <AnimationClip.h>`

List of all members.

## Public Types

enum | EventType { BEGIN, END, TIME }

## Public Member Functions

| Listener ()
virtual void | animationEvent (AnimationClip *clip, EventType type)=0

## Detailed Description

Defines an animation event listener.

## Member Enumeration Documentation

enum gameplay::AnimationClip::Listener::EventType

The type of animation event.

Enumerator:

  BEGIN | Event fired when the clip begins.
  END | Event fired when the clip ends.
  TIME | Event fired at a specified time during a clip update.

## Constructor & Destructor Documentation

gameplay::AnimationClip::Listener::Listener | ( |  | ) | `[inline]`

Constructor.

## Member Function Documentation

virtual void gameplay::AnimationClip::Listener::animationEvent | ( | AnimationClip * | clip,
|  | EventType | type
| ) |  | `[pure virtual]`

Handles when animation event occurs.

All Classes Functions Variables Typedefs Enumerations Enumerator